package com.kuyuntech.cofarcooking.device.sdk.devmode.core;

import com.kuyuntech.cofarcooking.device.sdk.constant.core.MotorDirections;
import com.kuyuntech.cofarcooking.device.sdk.constant.core.WorkModes;
import com.kuyuntech.cofarcooking.device.sdk.util.core.CofarSDK;

public class SlowCooking extends BaseDevMode{
    private boolean startCount = false;

    public SlowCooking(){

        this.setMode(WorkModes.SLOW_COOKING);


        //时间
        this.setMinTime(0);
        this.setMaxTime(8 * 60 * 60);
        this.setDefaultTime(4  * 60 * 60);
        this.setTimeChange(true);

        //电机
        this.setDefaultMotorGear(1);
        this.setMaxMotorGear(1);
        this.setMaxMotorGear(1);
        this.setMotorGearChange(false);
        this.setMotorDirectionChange(true);
        this.setMotorDirection(MotorDirections.REVERSE);

        //温度
        this.setDefaultTemp(90);
        this.setMinTemp(37);
        this.setMaxTemp(95);

    }


    @Override
    public void start() {
        this.startCount = false;
        super.start();
    }

    @Override
    public void stop() {
        this.startCount = false;
        super.stop();
    }

    @Override
    public boolean startCountTime() {

        if(this.startCount){
            return this.startCount;
        }

        if(CofarSDK.devInfo().getTemp() >= CofarSDK.devInfo().getTargetTemp()){
            this.startCount = true;
            return this.startCountTime();
        }else{
            return false;
        }


    }


}
